## NMRemoteConnection NMRemoteConnection |

## Functions

void | (*NMRemoteConnectionCommitFunc) ()
void | (*NMRemoteConnectionDeleteFunc) ()
void | (*NMRemoteConnectionGetSecretsFunc) ()
NMRemoteConnection * | nm_remote_connection_new ()
void | nm_remote_connection_commit_changes ()
void | nm_remote_connection_delete ()
void | nm_remote_connection_get_secrets ()

## Properties

DBusGConnection * | bus | Write / Construct Only
DBusGConnection * | dbus-connection | Write / Construct Only
gchar * | dbus-path | Write / Construct Only

## Signals

void | removed | Run First
void | updated | Run First
void | visible | Run First

## Types and Values

#define | NM_REMOTE_CONNECTION_UPDATED
#define | NM_REMOTE_CONNECTION_REMOVED

## Object Hierarchy

        GObject
        ╰── NMConnection
            ╰── NMRemoteConnection

## Description

## Functions

### NMRemoteConnectionCommitFunc ()

    void
    (*NMRemoteConnectionCommitFunc) (NMRemoteConnection *connection,
                                     GError *error,
                                     gpointer user_data);

Called when NetworkManager has committed outstanding changes to a connection to backing storage as a result of `nm_remote_connection_commit_changes()`.

#### Parameters

connection | the connection for which updates are to be committed |
error | on failure, a descriptive error |
user_data | user data passed to `nm_remote_connection_commit_changes()` |

### NMRemoteConnectionDeleteFunc ()

    void
    (*NMRemoteConnectionDeleteFunc) (NMRemoteConnection *connection,
                                     GError *error,
                                     gpointer user_data);

Called when NetworkManager has deleted a connection as a result of `nm_remote_connection_delete()`.

#### Parameters

connection | the connection to be deleted |
error | on failure, a descriptive error |
user_data | user data passed to `nm_remote_connection_delete()` |

### NMRemoteConnectionGetSecretsFunc ()

    void
    (*NMRemoteConnectionGetSecretsFunc) (NMRemoteConnection *connection,
                                         GHashTable *secrets,
                                         GError *error,
                                         gpointer user_data);

Called when NetworkManager returns secrets in response to a request for secrets via `nm_remote_connection_get_secrets()`.

#### Parameters

connection | the connection for which secrets were requested |
secrets | on success, a hash table of hash tables, with each inner hash mapping a setting property to a GValue containing that property's value. | [element-type utf8 GLib.HashTable]
error | on failure, a descriptive error |
user_data | user data passed to `nm_remote_connection_get_secrets()` |

### nm_remote_connection_new ()

    NMRemoteConnection *
    nm_remote_connection_new (DBusGConnection *bus,
                              const char *path);

Creates a new object representing the remote connection.

#### Parameters

bus | a valid and connected D-Bus connection |
path | the D-Bus path of the connection as exported by the settings service |

#### Returns

the new remote connection object on success, or `NULL` on failure

### nm_remote_connection_commit_changes ()

    void
    nm_remote_connection_commit_changes (NMRemoteConnection *connection,
                                         NMRemoteConnectionCommitFunc callback,
                                         gpointer user_data);

Save any local changes to the settings and properties of this connection and save them in the settings service.

#### Parameters

connection | the NMRemoteConnection |
callback | a function to be called when the commit completes. | [scope async][allow-none]
user_data | caller-specific data to be passed to `callback` . | [closure]

### nm_remote_connection_delete ()

    void
    nm_remote_connection_delete (NMRemoteConnection *connection,
                                 NMRemoteConnectionDeleteFunc callback,
                                 gpointer user_data);

Delete the connection.

#### Parameters

connection | the NMRemoteConnection |
callback | a function to be called when the delete completes. | [scope async][allow-none]
user_data | caller-specific data to be passed to `callback` . | [closure]

### nm_remote_connection_get_secrets ()

    void
    nm_remote_connection_get_secrets (NMRemoteConnection *connection,
                                      const char *setting_name,
                                      NMRemoteConnectionGetSecretsFunc callback,
                                      gpointer user_data);

Request the connection's secrets.

#### Parameters

connection | the NMRemoteConnection |
setting_name | the NMSetting object name to get secrets for |
callback | a function to be called when the update completes; must not be `NULL`. | [scope async]
user_data | caller-specific data to be passed to `callback` . | [closure]

## Types and Values

### NM_REMOTE_CONNECTION_UPDATED

    #define NM_REMOTE_CONNECTION_UPDATED         "updated"

### NM_REMOTE_CONNECTION_REMOVED

    #define NM_REMOTE_CONNECTION_REMOVED         "removed"

## Property Details

### The `“bus”` property

      “bus”                      DBusGConnection *

DBusGConnection.

Flags: Write / Construct Only

### The `“dbus-connection”` property

      “dbus-connection”          DBusGConnection *

DBusGConnection.

Flags: Write / Construct Only

### The `“dbus-path”` property

      “dbus-path”                gchar *

DBus Object Path.

Flags: Write / Construct Only

Default value: NULL

## Signal Details

### The `“removed”` signal

    void
    user_function (NMRemoteConnection *connection,
                   gpointer            user_data)

Flags: Run First

### The `“updated”` signal

    void
    user_function (NMRemoteConnection *connection,
                   gpointer            user_data)

Flags: Run First

### The `“visible”` signal

    void
    user_function (NMRemoteConnection *nmremoteconnection,
                   gboolean            arg1,
                   gpointer            user_data)

Flags: Run First